RaisFastRaisFast

Auth

Authentication

POST
/api/v1/auth/forgot-password

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

email*string

Response Body

curl -X POST "https://example.com/api/v1/auth/forgot-password" \  -H "Content-Type: application/json" \  -d '{    "email": "string"  }'
Empty
POST
/api/v1/auth/login

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://example.com/api/v1/auth/login" \  -H "Content-Type: application/json" \  -d '{    "email": "string",    "password": "string"  }'
Empty
POST
/api/v1/auth/logout

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Response Body

curl -X POST "https://example.com/api/v1/auth/logout"
Empty
POST
/api/v1/auth/refresh

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

refresh_token*string

Response Body

curl -X POST "https://example.com/api/v1/auth/refresh" \  -H "Content-Type: application/json" \  -d '{    "refresh_token": "string"  }'
Empty
POST
/api/v1/auth/register

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://example.com/api/v1/auth/register" \  -H "Content-Type: application/json" \  -d '{    "email": "string",    "password": "string",    "username": "string"  }'
Empty
POST
/api/v1/auth/reset-password

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://example.com/api/v1/auth/reset-password" \  -H "Content-Type: application/json" \  -d '{    "new_password": "string",    "token": "string"  }'
Empty
POST
/api/v1/auth/set-password

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://example.com/api/v1/auth/set-password" \  -H "Content-Type: application/json" \  -d '{    "email": "string",    "new_password": "string"  }'
Empty